<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

//Libreria de autenticacion de usuarios, para controlar los accesos
//dependiendo el nivel que tengan: Administrador, Revisor, Usuario registrado.
class Access_library
{
	// Constructor
	public function __construct()
	{
		if (!isset($this->CI))
		{
			$this->CI =& get_instance();
		}
	}

	// Métodos públicos
	public function is_logged_in()
	{
		if ($this->CI->session->userdata('logged_in') == TRUE)
		{
			return TRUE;
		}
		else
		{
			return FALSE;
		}
	}
		
	public function is_admin()
	{
		if ($this->CI->session->userdata('nivel') == 'administrador')
		{
			return TRUE;
		}
		else
		{
			return FALSE;
		}
	}
	
	public function is_reviser()
	{
		if($this->CI->session->userdata('nivel')=='revisor')
		{
			return TRUE;
		}
		else
		{
			return FALSE;
		}
	}
		
	public function check_logged_in()
	{
		if ($this->CI->session->userdata('logged_in') != TRUE)
		{
			redirect('user/login', 'refresh');
			exit();
		}
	}
		
	public function check_access()
	{
		if ($this->CI->session->userdata('nivel') == 'usuario') //|| $this->CI->session->userdata('nivel') != 'revisor')
		{
			redirect('usuario/login', 'refresh');
			exit();
		}
	}
}
?>
