<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

//Libreria para administrar enlaces

class Links_library
{
	// Variable protegida
	protected $_table;
	
	// Constructor
	public function __construct()
	{
		if (!isset($this->CI))
		{
			$this->CI =& get_instance();
		}
		
		$this->_table = $this->CI->config->item('database_tables');
	}
	
	// Métodos públicos
	public function get_links()
	{
		$this->CI->db->select('id, nombre, url, target, descripcion, visible');
		$this->CI->db->where('visible', 'si'); 
		$this->CI->db->order_by('id', 'ASC'); 
		$this->CI->db->limit($this->CI->system_library->settings['enlaces']);
		
		$query = $this->CI->db->get($this->_table['enlaces']);
		
		if ($query->num_rows() > 0)
		{	
			$result = $query->result_array();
			
			foreach ($result as $key => $link)
			{
				$result[$key]['target']  = '_' . $link['target'];
			}
					
			return $result;
		}
	}
}
?>
