<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php if (!defined('BASEPATH')) exit('No direct script access allowed');
//require('fpdf.php');

class PDF_MySQL_Table_library extends FPDF
{
	var $ProcessingTable=false;
	var $aCols=array();
	var $TableX;
	var $HeaderColor;
	var $RowColors;
	var $ColorIndex;

	function Header()
	{
    		//Print the table header if necessary
    		if($this->ProcessingTable)
       			$this->TableHeader();
	}

	function TableHeader()
	{
    		$this->SetFont('Arial','B',12);
    		$this->SetX($this->TableX);
    		$fill=!empty($this->HeaderColor);
    		if($fill)
        		$this->SetFillColor($this->HeaderColor[0],$this->HeaderColor[1],$this->HeaderColor[2]);
    		foreach($this->aCols as $col){
			$this->SetTextColor(255,255,255);
        		$this->Cell($col['w'],6,$col['c'],1,0,'C',$fill);
		}
    		$this->Ln();
	}

	function Row($data)
	{
    		$this->SetX($this->TableX);
    		$ci=$this->ColorIndex;
    		$fill=!empty($this->RowColors[$ci]);
    		if($fill)
        		$this->SetFillColor($this->RowColors[$ci][0],$this->RowColors[$ci][1],$this->RowColors[$ci][2]);
    		foreach($this->aCols as $col)
        		$this->Cell($col['w'],5,utf8_decode($data[$col['f']]),1,0,$col['a'],$fill);
    		$this->Ln();
    		$this->ColorIndex=1-$ci;
	}

	function CalcWidths($width,$align)
	{
    		//Compute the widths of the columns
    		$TableWidth=0;
    		foreach($this->aCols as $i=>$col)
    		{
        		$w=$col['w'];
        		if($w==-1)
            			$w=$width/count($this->aCols);
        		elseif(substr($w,-1)=='%')
            			$w=$w/100*$width;
        		$this->aCols[$i]['w']=$w;
        		$TableWidth+=$w;
    		}
    		//Compute the abscissa of the table
    		if($align=='C')
        		$this->TableX=max(($this->w-$TableWidth)/2,0);
    		elseif($align=='R')
        		$this->TableX=max($this->w-$this->rMargin-$TableWidth,0);
    		else
        		$this->TableX=$this->lMargin;
	}

	function AddCol($field=-1,$width=-1,$caption='',$align='L')
	{
    		//Add a column to the table
    		if($field==-1)
        		$field=count($this->aCols);
    		$this->aCols[]=array('f'=>$field,'c'=>$caption,'w'=>$width,'a'=>$align);
	}

	function Table($query,$prop=array())
	{
    		//Issue query
    		$res=mysql_query($query) or die('Error: '.mysql_error()."<BR>Query: $query");

		$alineacion=array('L','C','L','L');
		$anchos=array(10,15,105,70);
    		//Add all columns if none was specified
    		if(count($this->aCols)==0)
    		{
        		$nb=mysql_num_fields($res);
        		for($i=0;$i<$nb;$i++)
            			$this->AddCol(-1,$anchos[$i],'',$alineacion[$i]);
    		}
    		//Retrieve column names when not specified
    		foreach($this->aCols as $i=>$col)
    		{
        		if($col['c']=='')
        		{
            			if(is_string($col['f']))
                			$this->aCols[$i]['c']=ucfirst($col['f']);
            			else
                			$this->aCols[$i]['c']=ucfirst(mysql_field_name($res,$col['f']));
        		}
    		}
    		//Handle properties
    		if(!isset($prop['width']))
        		$prop['width']=0;
    		if($prop['width']==0)
        		$prop['width']=$this->w-$this->lMargin-$this->rMargin;
    		if(!isset($prop['align']))
        		$prop['align']='C';
    		if(!isset($prop['padding']))
        		$prop['padding']=$this->cMargin;
    		$cMargin=$this->cMargin;
    		$this->cMargin=$prop['padding'];
    		if(!isset($prop['HeaderColor']))
        		$prop['HeaderColor']=array();
    		$this->HeaderColor=$prop['HeaderColor'];
    		if(!isset($prop['color1']))
        		$prop['color1']=array();
    		if(!isset($prop['color2']))
        		$prop['color2']=array();
    		$this->RowColors=array($prop['color1'],$prop['color2']);
   		//Compute column widths
    		$this->CalcWidths($prop['width'],$prop['align']);
    		//Print header
    		$this->TableHeader();
    		//Print rows
    		$this->SetFont('Arial','B',11);
    		$this->ColorIndex=0;
    		$this->ProcessingTable=true;
    		while($row=mysql_fetch_array($res))
        		$this->Row($row);
    		$this->ProcessingTable=false;
    		$this->cMargin=$cMargin;
    		$this->aCols=array();
	}
}
?>
