<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class System_library
{
	// Array de propiedades
	public $settings = array();
	// Variable protegida
	protected $_table;
	
	// Constructor
	public function __construct()
	{
		if (!isset($this->CI))
		{
			$this->CI =& get_instance();
		}
		
		// Cargamos modulos y librerias necesarias
		$this->CI->load->library('user_agent');
		$this->CI->config->load('database_tables', TRUE);
		
		$this->_table = $this->CI->config->item('database_tables');
		
		$this->get_site_info();
	}

	// Métodos públicos
	public function get_default_template()
	{
		$this->CI->db->select('path');
		$this->CI->db->where('por_defecto', '1');
		
		$query = $this->CI->db->get($this->_table['templates'], 1);
		
		if ($query->num_rows() == 1)
		{
			$row = $query->row_array();
		}
		
		return $row['path'];
	}
	
	public function get_site_info()
	{
		$this->CI->db->select('nombre, valor');
		
		$query = $this->CI->db->get($this->_table['settings']);
		
		if ($query->num_rows() > 0)
		{
			$result = $query->result_array();

			foreach ($result as $row)
			{
				$this->settings[$row['nombre']] = $row['valor'];
			}
		}
	}
	
	public function check_site_status()
	{
		$this->CI->db->select('nombre, valor');
		$this->CI->db->where('nombre', 'enabled');
		
		$query = $this->CI->db->get($this->_table['settings'], 1);
		
		if ($query->num_rows() == 1)
		{
			$result = $query->row_array();
			
			if ($result['valor'] == 0)
			{
				$data['offline_reason'] = $this->settings['offline_reason'];
				
				$this->CI->load->view('admin/layout/pages/offline', $data);
				die();
			}
		}
	}
	
	public function load($page, $data = NULL, $admin = FALSE)
	{
		$data['pagina'] = $page;

		if ($admin == TRUE)
		{
			$this->CI->load->view('admin/layout/container', $data);
		}
		else
		{
			$template = $this->get_default_template();
			$this->CI->load->view('templates/' . $template . '/layout/container', $data);
		}
	}
	
	public function load_normal($page, $data = NULL)
	{
		$template = $this->get_default_template();
		
		$this->CI->load->view('templates/' . $template . '/layout/pages/' . $page, $data);
	}
}

?>
