<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Cfp extends Controller
{
	// Variable protegida
	protected $_template;
	
	// Constructor
	public function __construct()
	{
		parent::Controller();
			
		// Comprobamos si el usuario logueado es administrador
		$this->access_library->check_access();

		// Cargamos modelos, helpers y todas las librerias necesarias.
		$this->load->module_model('admin', 'cfp_model', 'cfp');

	}
		
	public function index()
	{
		$data['cfp'] = $this->cfp->listar_cfps();

		$this->_template['pagina'] = 'cfp/listar';

		$this->system_library->load($this->_template['pagina'], $data, TRUE);
	}
	
	public function revisar($id = NULL)
	{
		if ($id == NULL)
		{
			$id = $this->input->post('id');
		}

		$this->form_validation->set_rules('valoracion', 'Valoracion', 'required|xss_clean');
		$this->form_validation->set_rules('resumen', 'Resumen', 'required|xss_clean');
				
		$this->form_validation->set_error_delimiters('', '<br />');

		$this->cfp->estado_revision($id);

		$data['cfp'] = $this->cfp->listar_cfp($id);
		/*$this->validation->nombre 	= $data['cfp']['nombre'];
		$this->validation->tema 	= $data['cfp']['tema'];
		$this->validation->descripcion 	= $data['cfp']['descripcion'];
		$this->validation->fecha_envio 	= $data['cfp']['fecha_envio'];
		$this->validation->estado	= $data['cfp']['estado'];
		$this->validation->valoracion   = $data['cfp']['valoracion'];
		$this->validation->resumen 	= $data['cfp']['resumen'];*/
			
		if ($this->form_validation->run() == TRUE)
		{
			$this->cfp->revisar_cfp($id);
			$this->cfp->estado_revisado($id);

			$datos['revision']=$this->cfp->ver_revisiones($id);

			if($datos['revision']['revisiones']=='3')
				$this->cfp->estado_terminado($id);

			$this->session->set_flashdata('message', 'CFP revisado satisfactoriamente');

			redirect('admin/cfp', 'refresh');
		}

		$this->_template['pagina'] = 'cfp/revisar';
			
		$this->system_library->load($this->_template['pagina'], $data, TRUE);
	}

	public function eliminar($id)
	{
		$this->cfp->eliminar_cfp($id);
		$this->session->set_flashdata('message', 'CFP eliminado satisfactoriamente');

		redirect('admin/cfp', 'refresh');
	}
	
	public function descargar($id)
	{
			$qry="SELECT * FROM cfp WHERE id={$id}";
			$res=mysql_query($qry) or die(mysql_error()."qry::$qry");
			$obj=mysql_fetch_object($res);
			
			$archivos = array('.doc','.jpg','.pdf','.odt','.ppt','.pps','.odp','.tar.gz');
			$extension = strtolower(strstr($obj->nombre_fichero,'.'));
			if(strpos($obj->nombre_fichero,'/')!==FALSE)
				exit("Los ficheros de otros <b>directorios</b> no son descargables.");
			if(!in_array($extension,$archivos))
				exit("Los archivos con extension <b>".$extension."</b> no son archivos descargables.");
			
			header("Content-type: {$obj->tipo}");
			header('Content-Disposition: attachment; filename="'.$obj->nombre_fichero.'"');
			
			print $obj->contenido;
	}

	public function ver($id = NULL)
	{
		if ($data['cfp'] = $this->cfp->listar_cfp($id))
		{
			$data['revisiones'] = $this->cfp->ver_cfp($id);
			$this->_template['pagina']	= 'cfp/ver';
		}
		else
		{
			$this->_template['pagina']	= 'errors/404';
		}
				
		$this->system_library->load($this->_template['pagina'], $data, TRUE);
	}
}

?>
