<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Estadisticas extends Controller
{
	// Variable protegida
	protected $_template;
	
	// Constructor
	public function __construct()
	{
		parent::Controller();

		// Comprobamos si el usuario logueado es administrador
		$this->access_library->check_access();

		// Cargamos modulos y demás ficheros necesarios
		$this->load->module_model('admin', 'estadisticas_model', 'estadisticas');
	}

	// Métodos públicos
	public function index()
	{
		$data['total_posts'] = $this->estadisticas->contar_posts();
		$data['posts_publicados'] = $this->estadisticas->contar_posts('publicado');
		$data['posts_esbozados'] = $this->estadisticas->contar_posts('esbozado');
		$data['post_mas_comentado'] = $this->estadisticas->post_mas_comentado();
		$data['total_comentarios'] = $this->estadisticas->contar_comentarios();
		$data['comentarios_miembros'] = $this->estadisticas->contar_comentarios('miembro');
		$data['comentarios_invitados'] = $this->estadisticas->contar_comentarios('invitado');

		$this->_template['pagina'] = 'statistics/index';

		$this->system_library->load($this->_template['pagina'], $data, TRUE);
	}
}

?>
