<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Navegacion extends Controller
{
	// Variable protegida
	protected $_template;
	
	// Constructor
	public function __construct()
	{
		parent::Controller();

		// Comprobamos si el usuario logueado es administrador
		$this->access_library->check_access();
		
		// Cargamos modulos y librerias necesarias
		$this->load->module_model('admin', 'navegacion_model', 'navegacion');
	}

	// Métodos ṕublicos
	public function index()
	{
		$data['navegacion'] = $this->navegacion->listar_navegacion();

		$this->_template['pagina'] = 'navigation/listar';

		$this->system_library->load($this->_template['pagina'], $data, TRUE);
	}
	
	/*public function move_navigation_item()
	{
		$item = $this->input->post('item');
		$item_id = explode('_', $item);
		$action = $this->input->post('action');
		
		if ($action == 'up')
		{
			$this->navigation->move_item_up($item_id[1]);
		}
		else if ($action == 'down')
		{
			$this->navigation->move_item_down($item_id[1]);
		}
	}*/

	public function crear()
	{	
		$this->form_validation->set_rules('titulo', 'Titulo', 'required|max_length[50]|xss_clean');
		$this->form_validation->set_rules('url', 'Url', 'required|xss_clean');
		$this->form_validation->set_rules('descripcion', 'Descripcion', 'required|max_length[100]|xss_clean');

		$this->form_validation->set_error_delimiters('', '<br />');		
			
		if ($this->form_validation->run() == TRUE)
		{
			$this->navegacion->crear_navegacion_item();
			$this->session->set_flashdata('message', 'Item creado satisfactoriamente');

			redirect('admin/navegacion', 'refresh');
		}
			
		$this->_template['pagina'] = 'navigation/crear';
			
		$this->system_library->load($this->_template['pagina'], NULL, TRUE);
	}

	public function editar($id = NULL)
	{
		if ($id == NULL)
		{
			$id = $this->input->post('id');
		}
		
		$this->form_validation->set_rules('titulo', 'Titulo', 'required|max_length[50]|xss_clean');
		$this->form_validation->set_rules('url', 'Url', 'required|xss_clean');
		$this->form_validation->set_rules('descripcion', 'Descripcion', 'required|max_length[100]|xss_clean');

		$this->form_validation->set_error_delimiters('', '<br />');
			
		$data['navegacion'] = $this->navegacion->listar_navegacion_item($id);
			
		if ($this->form_validation->run() == TRUE)
		{
			$this->navegacion->editar_navegacion_item($id);
			$this->session->set_flashdata('message', 'Item editado satisfactoriamente');

			redirect('admin/navegacion', 'refresh');
		}
		
		$this->_template['pagina'] = 'navigation/editar';
			
		$this->system_library->load($this->_template['pagina'], $data, TRUE);
	}

	public function eliminar($id)
	{
		$this->navegacion->eliminar_navegacion_item($id);
		$this->session->set_flashdata('message', 'Item eliminado satisfactoriamente');

		redirect('admin/navegacion', 'refresh');
	}
}

?>
