<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Settings extends Controller{
	// Variable protegida
	protected $_template;
	
	// Constructor
	public function __construct()
	{
		parent::Controller();
			
		// Comprobamos si el usuario logueado es administrador
		$this->access_library->check_access();
	}

	// Métodos públicos
	public function index()
	{
		//Cargamos modelos necesarios
		$this->load->module_model('admin', 'settings_model', 'settings');

		$this->form_validation->set_rules('titulo_pagina', 'Titulo Web', 'required|xss_clean');
		$this->form_validation->set_rules('descripcion_pagina', 'Descripcion Web', 'required|xss_clean');
		$this->form_validation->set_rules('admin_email', 'Email Admin', 'required|valid_email');
		$this->form_validation->set_rules('permitir_registros', 'Permitir Registros', 'numeric');
		$this->form_validation->set_rules('enabled', 'Enabled', 'numeric');
		$this->form_validation->set_rules('template', 'Template', 'required|numeric');
		$this->form_validation->set_rules('posts_por_pagina', 'Posts por pagina', 'required|numeric');
		$this->form_validation->set_rules('enlaces', 'Enlaces', 'required|numeric');
		$this->form_validation->set_rules('offline_reason', 'Offline Reason', 'xss_clean');
		
		if ($this->input->post('enabled') == 0)
		{
			$this->form_validation->set_rules('offline_reason', 'Offline Reason', 'required');
		}

		$this->form_validation->set_error_delimiters('', '<br />');
		
		$data['settings'] = $this->settings->listar_settings();
		$data['templates'] = $this->settings->listar_templates();
		$data['settings']['template'] = $this->settings->listar_template_defecto();
		
		if ($this->form_validation->run() == TRUE)
		{
			$this->settings->actualizar_settings();
			$this->session->set_flashdata('message', 'Actualizado satisfactoriamente');

			redirect('admin/settings', 'refresh');
		}
		
		$this->_template['pagina']	= 'settings/editar';

		$this->system_library->load($this->_template['pagina'], $data, TRUE);
	}
}

?>
