<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Templates extends Controller
{
	// Variable protegida
	protected $_template;
	
	// Constructor
	public function __construct()
	{
		parent::Controller();
			
		// Comprobamos si el usuario logueado es administrador
		$this->access_library->check_access();
		$this->load->module_model('admin', 'settings_model', 'settings');
	}

	// Métodos ṕublicos
	public function index()
	{
		//Cargamos modulos necesarios
		//$this->load->module_model('admin', 'settings_model', 'settings');

		$this->form_validation->set_rules('template', 'Template', 'required|numeric');

		$this->form_validation->set_error_delimiters('', '<br />');
		
		if ($this->form_validation->run() == TRUE)
		{
			$this->settings->poner_template_defecto();
			$this->session->set_flashdata('message', 'Template establecido satisfactoriamente');
				
			redirect('admin/templates', 'refresh');
		}
		
		$data['templates'] = $this->settings->listar_detalles_template();
		$data['default_template'] = $this->settings->listar_template_defecto();
		
		foreach ($data['templates'] as $key => $template)
		{
			if ($template['por_defecto'] == 1)
				$data['templates'][$key]['checked'] = TRUE;
			else
				$data['templates'][$key]['checked'] = FALSE;
		}

		$this->_template['pagina'] = 'templates/editar';

		$this->system_library->load($this->_template['pagina'], $data, TRUE);
	}

	public function enviar()
	{

		if ($this->access_library->is_logged_in())
		{
			$this->form_validation->set_rules('nombre', 'Nombre', 'required|xss_clean');
			$this->form_validation->set_rules('autor', 'Autor', 'required|xss_clean');
			$this->form_validation->set_rules('path', 'Path', 'required|xss_clean');
			$this->form_validation->set_rules('imagen', 'Imagen', 'required|xss_clean');

			$this->form_validation->set_error_delimiters('', '<br />');
		
			if ($this->form_validation->run() == TRUE)
			{
				$this->settings->enviar_template();
				$this->session->set_flashdata('message', 'Template enviado satisfactoriamente');

				redirect('admin/templates/enviar', 'refresh');
			}
		
			$this->_template['pagina'] = 'templates/enviar';

			$this->system_library->load($this->_template['pagina'], NULL, TRUE);
		}
		else
		{
			redirect('usuario/login', 'refresh');
		}

	}
}

?>
