<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Users extends Controller
{
	// Variable protegida
	protected $_template;
	
	// Constructor
	public function __construct()
	{
		parent::Controller();
			
		// Comprobamos si el usuario logueado es administrador
		$this->access_library->check_access();

		// Cargamos modelos, helpers y todas las librerias necesarias.
		$this->load->module_model('admin', 'users_model', 'users');

	}
		
	public function index()
	{
		$data['usuarios'] = $this->users->listar_usuarios();

		$this->_template['pagina'] = 'users/listar';

		$this->system_library->load($this->_template['pagina'], $data, TRUE);
	}
	
	public function editar($id = NULL)
	{
		if ($id == NULL)
			$id = $this->input->post('id');
		
		$this->form_validation->set_rules('display_name', 'Display Name', 'max_length[50]|xss_clean');
		$this->form_validation->set_rules('nombre', 'Nombre', 'required|max_length[50]|xss_clean');
		$this->form_validation->set_rules('apellidos', 'Apellidos', 'required|max_length[70]|xss_clean');
		$this->form_validation->set_rules('email', 'Email', 'required|valid_email');
		$this->form_validation->set_rules('nivel', 'Nivel', 'required|xss_clean');
		$this->form_validation->set_rules('website', 'Website', 'xss_clean');
				
		$this->form_validation->set_error_delimiters('', '<br />');
			
		$data['usuario'] = $this->users->listar_usuario($id);

		$this->validation->username 	= $data['usuario']['username'];
		$this->validation->display_name = $data['usuario']['display_name'];
		$this->validation->email 	= $data['usuario']['email'];
		$this->validation->website 	= $data['usuario']['website'];
		$this->validation->nivel	= $data['usuario']['nivel'];
		$this->validation->nombre	= $data['usuario']['nombre'];
		$this->validation->apellidos	= $data['usuario']['apellidos'];
			
		if ($this->form_validation->run() == TRUE)
		{
			$this->users->editar_usuario($id);
			$this->session->set_flashdata('message', 'Usuario editado satisfactoriamente');

			redirect('admin/users', 'refresh');
		}

		$this->_template['pagina'] = 'users/editar';
			
		$this->system_library->load($this->_template['pagina'], $data, TRUE);
	}

	public function eliminar($id)
	{
		$this->users->eliminar_usuario($id);
		$this->session->set_flashdata('message', 'Usuario eliminado satisfactoriamente');

		redirect('admin/users', 'refresh');
	}
}

?>
