<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Comentarios_model extends Model
{
	// Variable protegida
	protected $_table;
	
	// Constructor
	public function __construct()
	{
		parent::Model();
			
		$this->_table = $this->config->item('database_tables');
	}

	// Métodos ṕublicos
	public function listar_comentarios($limite = 30)
	{
		$this->db->select('comentarios.id, comentarios.post_id, comentarios.user_id, comentarios.autor, comentarios.contenido, comentarios.fecha, posts.titulo, posts.url_titulo, posts.fecha_posteo');
		$this->db->join($this->_table['posts'], 'comentarios.post_id = posts.id');
		$this->db->order_by('id', 'DESC');
			
		$query = $this->db->get($this->_table['comentarios']);
			
		if ($query->num_rows() > 0)
		{
			$query->result_array();

			return $query->result_array();
		}
	}
	
	public function listar_comentario($id)
	{
		$this->db->select('id, contenido');
		$this->db->where('id', $id);
			
		$query = $this->db->get($this->_table['comentarios'], 1);
			
		if ($query->num_rows() > 0)
		{
			return $query->row_array();
		}
	}
	
	public function editar_comentario()
	{
		$data = array
					(
						'contenido' => $this->input->post('comentario')
					);

		$this->db->where('id', $this->input->post('id'));
		$this->db->update($this->_table['comentarios'], $data);
	}

	public function eliminar_comentario($id)
	{
		$this->db->where('id', $id);
			
		$this->db->delete($this->_table['comentarios']);
	}
}

?>
