<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Estadisticas_model extends Model
{
	// Variable protegida
	protected $_table;
	
	// Constructor
	public function __construct()
	{
		parent::Model();
			
		$this->_table = $this->config->item('database_tables');
	}

	// Métodos públicos
	public function contar_posts($estado = 'todo')
	{
		$this->db->select('id');
		
		if ($estado != 'todo')
		{
			$this->db->where('estado', $estado);
		}
			
		$this->db->from($this->_table['posts']);
		
		return $this->db->count_all_results();
	}
	
	public function post_mas_comentado()
	{
		$this->db->select('COUNT(comentarios.id) AS cuenta_comentarios, posts.titulo, posts.url_titulo, posts.fecha_posteo');
		$this->db->from($this->_table['comentarios'] . ' comentarios');
		$this->db->join($this->_table['posts'] . ' posts', 'comentarios.post_id = posts.id');
		$this->db->group_by('comentarios.post_id');
		$this->db->order_by('cuenta_comentarios', 'DESC');
		$this->db->limit(1);
		
		$query = $this->db->get();
		
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
	}
	
	public function contar_comentarios($quien = 'todo')
	{
		$this->db->select('id');
		
		if ($quien == 'miembro')
		{
			$this->db->where('user_id IS NOT NULL');
		}
		else if ($quien == 'invitado')
		{
			$this->db->where('user_id IS NULL');
		}

		$this->db->from($this->_table['comentarios']);
		
		return $this->db->count_all_results();
	}
}
?>
