<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Paginas_model extends Model
{
	// Variable protegida
	protected $_table;
	
	// Constructor
	public function __construct()
	{
		parent::Model();
			
		$this->_table = $this->config->item('database_tables');
	}

	// Métodos públicos
	public function listar_paginas()
	{
		$this->db->select('id, titulo, url_titulo, fecha, estado');
		$this->db->order_by('id', 'ASC');
			
		$query = $this->db->get($this->_table['paginas']);
			
		if ($query->num_rows() > 0)
		{
			return $query->result_array();
		}
	}

	public function listar_pagina($id)
	{
		$this->db->select('id, titulo, contenido, estado');
		$this->db->where('id', $id);
			
		$query = $this->db->get($this->_table['paginas'], 1);
			
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
	}

	public function crear_pagina()
	{
		$data = array
					(
						'autor' => $this->session->userdata('user_id'),
						'fecha' => date("Y-m-d"),
						'titulo' => $this->input->post('titulo'),
						'url_titulo' => url_title($this->input->post('titulo'), 'dash', TRUE),
						'contenido' => $this->input->post('contenido'),
						'estado' => $this->input->post('estado')
					);
			
		$this->db->insert($this->_table['paginas'], $data);
	}

	public function editar_pagina()
	{
		$data = array
					(
						'autor' => $this->session->userdata('user_id'),
						'fecha' => date("Y-m-d"),
						'titulo' => $this->input->post('titulo'),
						'url_titulo' => url_title($this->input->post('titulo'), 'dash', TRUE),
						'contenido' => $this->input->post('contenido'),
						'estado' => $this->input->post('estado')
					);
			
		$this->db->where('id', $this->input->post('id'));
		$this->db->update($this->_table['paginas'], $data);
	}

	public function eliminar_pagina($id)
	{
		$this->db->where('id', $id);
			
		$this->db->delete($this->_table['paginas']);
	}
}
?>
