<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Settings_model extends Model
{
	// Variable protegida
	protected $_table;
	
	// Constructor
	public function __construct()
	{
		parent::Model();
			
		$this->_table = $this->config->item('database_tables');
	}

	// Métodos públicos
	public function listar_settings()
	{
		$this->db->select('nombre, valor');
			
		$query = $this->db->get($this->_table['settings']);
			
		if ($query->num_rows() > 0)
		{
			$result = $query->result_array();

			foreach ($result as $row)
			{
				$result[$row['nombre']] = $row['valor'];
			}
			
			return $result;
		}
	}

	public function listar_templates()
	{
		$this->db->select('id, nombre, por_defecto');

		$query = $this->db->get($this->_table['templates']);
			
		if ($query->num_rows() > 0)
		{
			foreach ($query->result_array() as $row)
			{
				$data[$row['id']] = $row['nombre'];
			}

			return $data;
		}
	}
	
	public function listar_detalles_template()
	{
		$this->db->select('id, nombre, autor, imagen, por_defecto');

		$query = $this->db->get($this->_table['templates']);
			
		if ($query->num_rows() > 0)
		{
			return $query->result_array();
		}
	}

	public function listar_template_defecto()
	{
		$this->db->select('id');
		$this->db->where('por_defecto', '1');
			
		$query = $this->db->get($this->_table['templates'], 1);
			
		if ($query->num_rows() == 1)
		{
			$row = $query->row_array();

			return $row['id'];
		}
	}

	public function actualizar_settings()
	{
		$offline_reason = ($this->input->post('activo') == 0) ? $this->input->post('offline_reason') : '';

		$this->db->set('valor', $this->input->post('titulo_pagina'));
		$this->db->where('nombre', 'titulo_pagina');
		$this->db->update($this->_table['settings']);
		
		$this->db->set('valor', $this->input->post('descripcion_pagina'));
		$this->db->where('nombre', 'descripcion_pagina');
		$this->db->update($this->_table['settings']);
		
		$this->db->set('valor', $this->input->post('admin_email'));
		$this->db->where('nombre', 'admin_email');
		$this->db->update($this->_table['settings']);
		
		$this->db->set('valor', $this->input->post('permitir_registros'));
		$this->db->where('nombre', 'permitir_registros');
		$this->db->update($this->_table['settings']);
		
		$this->db->set('valor', $this->input->post('posts_por_pagina'));
		$this->db->where('nombre', 'posts_por_pagina');
		$this->db->update($this->_table['settings']);
		
		$this->db->set('valor', $this->input->post('enlaces'));
		$this->db->where('nombre', 'enlaces');
		$this->db->update($this->_table['settings']);
		
		$this->db->set('valor', $this->input->post('enabled'));
		$this->db->where('nombre', 'enabled');
		$this->db->update($this->_table['settings']);
		
		$this->db->set('valor', $offline_reason);
		$this->db->where('nombre', 'offline_reason');
		$this->db->update($this->_table['settings']);
			
		$this->db->set('por_defecto', '0');
		$this->db->where('id !=', $this->input->post('template'));
		$this->db->update($this->_table['templates']);
								
		$this->db->set('por_defecto', '1');
		$this->db->where('id', $this->input->post('template'));
		$this->db->update($this->_table['templates']);	
	}
	
	public function poner_template_defecto()
	{
		$this->db->set('por_defecto', '0');
		$this->db->where('id !=', $this->input->post('template'));
		$this->db->update($this->_table['templates']);

		$this->db->set('por_defecto', '1');
		$this->db->where('id', $this->input->post('template'));
		$this->db->update($this->_table['templates']);						
	}
	
	public function enviar_template()
	{	
		$data = array
					(
						'nombre' => $this->input->post('nombre'),
						'autor' => $this->input->post('autor'),
						'path' => $this->input->post('path'),
						'imagen' => $this->input->post('imagen')
					);
			
		$this->db->insert($this->_table['templates'], $data);

	}
}
?>
