<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

class Users_model extends Model
{
	// Variable protegida
	protected $_table;
	
	// Constructor
	public function __construct()
	{
		parent::Model();
			
		$this->_table = $this->config->item('database_tables');
	}

	// Métodos públicos
	public function listar_usuarios()
	{
		$this->db->select('id, username, nombre, apellidos, email, registrado, nivel, ultimo_acceso');
			
		$query = $this->db->get($this->_table['usuarios']);
			
		if ($query->num_rows() > 0)
		{
			return $query->result_array();
		}
	}
	
	public function listar_usuario($id)
	{
		$this->db->select('id, username, email, nombre, apellidos, website, display_name, registrado, nivel');
		$this->db->where('id', $id);
			
		$query = $this->db->get($this->_table['usuarios'], 1);
			
		if ($query->num_rows() == 1)
		{
			return $query->row_array();
		}
	}
	
	public function editar_usuario($id)
	{
		$data = array
					(
						'display_name' => $this->input->post('display_name'),
						'email' => $this->input->post('email'),
						'website' => $this->input->post('website'),
						'nivel' => $this->input->post('nivel'),
						'nombre' => $this->input->post('nombre'),
						'apellidos' => $this->input->post('apellidos')
					);
			
		$this->db->where('id', $id);
		$this->db->update($this->_table['usuarios'], $data);
	}

	public function eliminar_usuario($id)
	{
		$this->db->where('id', $id);
			
		$this->db->delete($this->_table['usuarios']);
	}
}
?>
