<!--###############################################################################
## OpenConference project
##
## Copyright (C) 2009 Antonio Falcón Aragón  antonio.falconaragon@alum.uca.es
##
## This program is free software; you can redistribute it and/or modify
## it under the terms of the GNU General Public License as published by
## the Free Software Foundation; either version 3 of the License, or
## (at your option) any later version.
##
## This program is distributed in the hope that it will be useful,
## but WITHOUT ANY WARRANTY; without even the implied warranty of
## MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
## GNU General Public License for more details.
##
## You should have received a copy of the GNU General Public License
## along with this program; if not, write to the Free Software
## Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
###############################################################################-->

<?php

define('BASEPATH', TRUE);
require('../application/config/open_conference.php');

function get_root_url($type = 'install')
{
	$server_host = $_SERVER['HTTP_HOST'];
	$server_path = $_SERVER['PHP_SELF'];
	$server_ssl = $_SERVER['HTTPS'];
	
	$page_root = (($server_ssl) ? 'https://' : 'http://') . $server_host . $server_path;

	$install_path = stripos($page_root, 'install/install.php');
	$page_root = substr($page_root, 0, $install_path);
	
	return $page_root;
}

function get_mod_rewrite_status()
{
	$apache_modules = apache_get_modules();
	
	if (in_array('mod_rewrite', $apache_modules))
	{
		return TRUE;
	}
	else
	{
		return FALSE;
	}
}

function test_database_connection($hostname, $username, $password, $database)
{
	$error = FALSE;
	
	$connection = @mysql_connect($hostname, $username, $password) or $error = TRUE;
	@mysql_select_db($database) or $error = TRUE;
	
	@mysql_close($connection);
	
	return $error;
}

function write_main_config($base_url, $mod_rewrite = true)
{
	$sample_config['path'] 		= ($mod_rewrite) ? 'includes/files/config1.sample.php' : 'includes/files/config2.sample.php';
	$sample_config['handle'] 	= fopen($sample_config['path'], 'r');
	
	$main_config['path'] 		= '../application/config/config.php';
	$main_config['handle'] 		= fopen($main_config['path'], 'w');
		
	$sample_config['content'] = fread($sample_config['handle'], filesize($sample_config['path']));

	$find = array('__url__');
	$replace = array($base_url);
		
	$main_config['content'] = str_replace($find, $replace, $sample_config['content']);
		
	fwrite($main_config['handle'], $main_config['content']);
	chmod($main_config['path'], 0777);
		
	fclose($sample_config['handle']);
	fclose($main_config['handle']);
}

function write_database_config($hostname, $username, $password, $database)
{
	$sample_config['path'] 		= 'includes/files/database.sample.php';
	$sample_config['handle'] 	= fopen($sample_config['path'], 'r');
	
	$database_config['path'] 	= '../application/config/database.php';
	$database_config['handle'] 	= fopen($database_config['path'], 'w');
		
	$sample_config['content'] = fread($sample_config['handle'], filesize($sample_config['path']));

	$find = array('__hostname__', '__username__', '__password__', '__database__');
	$replace = array($hostname, $username, $password, $database);
		
	$database_config['content'] = str_replace($find, $replace, $sample_config['content']);
		
	fwrite($database_config['handle'], $database_config['content']);
	chmod($database_config['path'], 0777);
		
	fclose($sample_config['handle']);
	fclose($database_config['handle']);
}

function send_welcome_email($email, $pagina_url, $username, $password)
{
	$headers = 'From: OpenConference System <info@openconference.info>' . "\r\n" .
    'Reply-To: noreply@openconference.info' . "\r\n" .
    'X-Mailer: PHP/' . phpversion();
	$subject = 'OpenConference se instal&oacute; correctamente';
	$message = "Felicidades,

Tu p&aacute;gina fue instalada y se encuentra disponible en {$pagina_url}.

Tu puedes acceder ahora con la informaci&oacute;n que nos has facilitado:

Username: {$username}
Password: {$password}

Atentamente,
El Equipo OpenConference";

	mail($email, $subject, $message, $headers);
}

?>
